aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichael Everitt <m.j.everitt@iee.org>2018-09-09 18:49:16 +0100
committerBrian Dolbec dolsen <dolsen@gentoo.org>2018-10-01 09:17:50 -0700
commit5dc5e3beadf3374eb3c2497e4597c6b44bdc7c70 (patch)
tree87572c0e0f8cc13ddf0885ad4f8b2f620a5c03c9 /targets
parentFix typo in fileops.py:clear_dir (diff)
downloadcatalyst-5dc5e3beadf3374eb3c2497e4597c6b44bdc7c70.tar.gz
catalyst-5dc5e3beadf3374eb3c2497e4597c6b44bdc7c70.tar.bz2
catalyst-5dc5e3beadf3374eb3c2497e4597c6b44bdc7c70.zip
Preclean fails attempting to Unmerge distcc when already depcleaned
Suggested-By: James Le Cuirot <chewi@gentoo.org>
Diffstat (limited to 'targets')
-rwxr-xr-xtargets/stage3/stage3-preclean-chroot.sh5
1 files changed, 4 insertions, 1 deletions
diff --git a/targets/stage3/stage3-preclean-chroot.sh b/targets/stage3/stage3-preclean-chroot.sh
index 027dedea..33a700a6 100755
--- a/targets/stage3/stage3-preclean-chroot.sh
+++ b/targets/stage3/stage3-preclean-chroot.sh
@@ -11,7 +11,10 @@ cleanup_stages
if [ -n "${clst_DISTCC}" ]
then
- run_merge -C sys-devel/distcc || exit 1
+ portageq has_version / sys-devel/distcc
+ if [ $? == 0 ]; then
+ run_merge -C sys-devel/distcc || exit 1
+ fi
fi
if [ -n "${clst_ICECREAM}" ]